Retrieve an Async Transaction Log

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
GET /async_transaction_log

Headers

  • Authorization string

    e.g. Bearer {access_token}

Query parameters

  • fields string

    filter and/or select response fields. Use fields=<fieldname>(="<value>") to filter by any available field. Multiple filters can be combined with a comma. Example: fields=username(="testuser"),profile_id(="12345"). Filterable fields: id, server_id, profile_id, username, request_time, request_version, remote_address, request_uri, request_function, request_method

  • limit number

    maximum number of results to return

  • offset number

    skip that many records before beginning to return

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id number Required
    • server_id string Required
    • profile_id number Required
    • username string Required
    • request_time string Required
    • request_version string Required
    • remote_address string Required
    • request_uri: `/exzact/api/v81/profiles/self/pages/1234/trigger_posts` string Required
    • request_function: `SERVER_POST_XML` string Required
    • request_method string Required
  • 400 application/json

    Bad Request - limit or offset is not an integer.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

GET /async_transaction_log
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v81/[servername]/async_transaction_log' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
{
  "id": 1,
  "server_id": "app",
  "profile_id": 12345,
  "username": "testuser",
  "request_time": "2024-05-13T20:28:34+00:00",
  "request_version": "1",
  "remote_address": "203.0.113.5",
  "request_uri": "/exzact/api/v81/profiles/self/pages/1234/trigger_posts",
  "request_function": "SERVER_POST_XML",
  "request_method": "POST"
}
Response examples (400)
{
  "error_message": "'limit' must be an integer"
}